SELECT language, SUM(used), SUM(want_to_use_next_year), SUM(did_not_like_using)
FROM programming_language
INNER JOIN participant ON participant.id = programming_language.participant_id
WHERE participant.occupation = 'Professional/Freelancer'
GROUP BY language
ORDER BY SUM(used) DESC, SUM(want_to_use_next_year) DESC, SUM(did_not_like_using) DESC, language ASC;